@Filename: UrtRd.s
@Part: ADuC702x.
@Created: 20/04/2004
@Updated: 28/06/2005
@Author: Eckart Hartmann.
@This file is in beta sampling.

.include        "ADuC7020.equ"
.ARM

@ UrtRd==========Reads the UART data register.
@ C Function prototype: int UrtRd(void)@
@ Description of Function: Reads the received UART data.
@ User interface:
@   Call UrtRd.
@   Returns COMRX:
@ Robustness:
@   Reads whatever character arrived last. 
@   Use UrtBsy to ensure new character is available.
@ Side effects: Corrupts r3.

.GLOBAL UrtRd
UrtRd:
        mov     r3,#0xff0000            @r3 = Z_BASE;
        orr     r3,r3,#0xff000000
        ldr     r0,[r3,#COMRX_OFFSET]   @Get COMRX.
        bx      lr
        
